<div class="flex-grow flex-col h-screen">
  <app-top-bar title="Administration - Crash Qualité/Lignes/New"></app-top-bar>
  <div class="main-div">
    <mat-card class="m-10 mat-elevation-z4 ">
      <mat-card-header>
        <mat-card-title>Formulaire - Ajouter une ligne</mat-card-title>
      </mat-card-header>
      <mat-card-content>
        <form class="example-form" (ngSubmit)="!ligneForm.invalid && save()" #ligneForm="ngForm">
          <mat-form-field class="example-full-width">
            <mat-label>Nom de la ligne</mat-label>
            <input minlength="3" [(ngModel)]="newLigne.ligne" name="ligne" matInput
                   placeholder="Ex. Finition" required>
            <mat-error *ngIf="newLigne.ligne.length<3">Une valeur d'au moins 3 caractères est requise</mat-error>
          </mat-form-field>
          <mat-form-field appearance="fill" class="select-form">
            <mat-label>Type du critère</mat-label>
            <mat-select name="fk_zone" [(ngModel)]="newLigne.fk_zone" required>
              <mat-option *ngFor="let zone of zonesList" [value]="zone.zoneId">
                {{zone.zone}}
              </mat-option>
            </mat-select>
            <mat-error *ngIf="newLigne.fk_zone === null">Une valeur est requise</mat-error>
          </mat-form-field>
          <button type="submit" [disabled]="!ligneForm.valid" mat-flat-button color="primary">Ajouter</button>
        </form>
      </mat-card-content>
    </mat-card>
  </div>
</div>
